<template>
	<view>		
		<view >
			<select-cy  :value="tvalinfo" placeholder="请选择类型" name="name"
				:options="datalist" :showClearIcon="true" :zindex="zindex"
				@change="change_select_cy"></select-cy>
		</view>
	</view>
		
</template>

<script>
		
	export default {
		name:'eventType',
		data() {
			return{				
				tvalinfo:[],		
				// //模拟数据列表
				datalist: [
					{
						value:'CMM',
						label:'CMM',
					},
					{
						value:'NCMM',
						label:'NCMM',
					},
					{
						value:'Alert',
						label:'Alert',
					}
				],
				
			}
		},
		props: {	
			tval:{
				type:Array,
				default:[],
			},
			zindex:Number,	
			fleetlist:Array,
		},
		watch:{
			
		},
		methods:{						
			//下拉框改变
			change_select_cy(item, value) {
			
				this.tvalinfo = value;
				this.$emit('changevalue', this.tvalinfo)
			},
			
		},
		created() {	
			if(this.tval.length>0){
				this.tvalinfo = this.tval 
			}
		}
	}
</script>

<style>
</style>